define([
        'jquery', 
        'oro/datagrid/product-row', 
        'pim/media-url-generator',
    ], 
    function(
        $, 
        ProductRow, 
        MediaUrlGenerator
    ) {
        return ProductRow.extend({
            // /**
            //  * {@inheritdoc}
            //  */
            // render() {
            //     ProductRow.prototype.render.call(this, arguments);

            //     const row = this.renderedRow;
            //     row.on('click', this.onClick.bind(this));
            //     row.off('click');
            // },

            /**
             * {@inheritdoc}
             */
            getTemplateOptions() {
                const label = this.model.get('code');
                const thumbnail = this.model.get('thumbnail');
                const imagePath = MediaUrlGenerator.getMediaShowUrl(thumbnail, 'thumbnail');

                return {
                    useLayerStyle: false,
                    identifier: '',
                    label,
                    imagePath
                };
            },

            /**
             * {@inheritdoc}
             */
            getRenderableColumns() {
                return ['massAction', 'rowActions'];
            }
        });
});
